Package com.independentsoft.office.drawing

# Class WavAudioFile

java.lang.Object
com.independentsoft.office.drawing.WavAudioFile

public class WavAudioFile extends Object
The Class WavAudioFile.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `WavAudioFile()`
  Instantiates a new wav audio file.
  `WavAudioFile​(InternalXMLStreamReader reader)`
  Instantiates a new wav audio file.
  `WavAudioFile​(String filePath)`
  Instantiates a new wav audio file.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `WavAudioFile`
  `clone()`
  `byte[]`
  `getBuffer()`
  Gets the buffer.
  `String`
  `getFileName()`
  Gets the file name.
  `InputStream`
  `getInputStream()`
  Gets the input stream.
  `String`
  `getName()`
  Gets the name.
  `boolean`
  `isBuiltIn()`
  Checks if is built in.
  `void`
  `load​(String filePath)`
  Load.
  `void`
  `load​(String fileName, byte[] buffer)`
  Load.
  `void`
  `load​(String fileName, InputStream inputStream)`
  Load.
  `void`
  `save​(OutputStream outputStream)`
  Save.
  `void`
  `save​(String filePath)`
  Save.
  `void`
  `save​(String filePath, boolean overwrite)`
  Save.
  `void`
  `setBuffer​(byte[] buffer)`
  Sets the buffer.
  `void`
  `setBuiltIn​(boolean builtIn)`
  Sets the built in.
  `void`
  `setFileName​(String fileName)`
  Sets the file name.
  `void`
  `setName​(String name)`
  Sets the name.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### WavAudioFile

    public WavAudioFile()
    Instantiates a new wav audio file.

  - ### WavAudioFile

    public WavAudioFile​(String filePath) throws IOException
    Instantiates a new wav audio file.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### WavAudioFile

    public WavAudioFile​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new wav audio file.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### load

    public void load​(String filePath) throws IOException
    Load.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, InputStream inputStream) throws IOException
    Load.
    Parameters:
      `fileName` - the file name
      `inputStream` - the input stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### load

    public void load​(String fileName, byte[] buffer)
    Load.
    Parameters:
      `fileName` - the file name
      `buffer` - the buffer

  - ### save

    public void save​(String filePath) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(String filePath, boolean overwrite) throws IOException
    Save.
    Parameters:
      `filePath` - the file path
      `overwrite` - the overwrite
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### save

    public void save​(OutputStream outputStream) throws IOException
    Save.
    Parameters:
      `outputStream` - the output stream
    Throws:
      `IOException` - Signals that an I/O exception has occurred.

  - ### getInputStream

    public InputStream getInputStream()
    Gets the input stream.
    Returns:
      the input stream

  - ### clone

    public WavAudioFile clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### isBuiltIn

    public boolean isBuiltIn()
    Checks if is built in.
    Returns:
      true, if is built in

  - ### setBuiltIn

    public void setBuiltIn​(boolean builtIn)
    Sets the built in.
    Parameters:
      `builtIn` - the new built in

  - ### getFileName

    public String getFileName()
    Gets the file name.
    Returns:
      the file name

  - ### setFileName

    public void setFileName​(String fileName)
    Sets the file name.
    Parameters:
      `fileName` - the new file name

  - ### getBuffer

    public byte[] getBuffer()
    Gets the buffer.
    Returns:
      the buffer

  - ### setBuffer

    public void setBuffer​(byte[] buffer)
    Sets the buffer.
    Parameters:
      `buffer` - the new buffer